<div *ngIf="rolUsuario === 'Paciente'">
    <div *ngIf="estadoRecorrido === 'Finalizado' || estadoRecorrido === 'Sin recorrido'">
        <div class="alert alert-warning" role="alert">
            <h4 class="alert-heading"><i class="bi bi-exclamation-triangle-fill"></i> Sin recorridos </h4>
            <p> Su cuidador no le asignó un recorrido para realizar.
            <br> 
          </div>
    </div>
    
    <div *ngIf="estadoRecorrido === 'Por confirmar'; else encurso">
        <div class="alert alert-warning" role="alert">
            <h4 class="alert-heading"><i class="bi bi-exclamation-triangle-fill"></i> Recorrido por realizar</h4>
            <p>Debe realizar el recorrido que su cuidador le asignó.
            <br> 
          </div>
    </div>
    
    <ng-template #encurso>
        <div class="my-3 row d-flex justify-content-center">
            <div class="col-lg-12">
                <div class="map-container" id="map" #mapDiv>
                </div>
            </div>
        </div>
    </ng-template>

</div>


<div class="my-3 row d-flex justify-content-center" *ngIf="rolUsuario === 'Cuidador'">
    <div class="col-lg-6">
        <div class="map-container" id="map" #mapDiv>
        </div>
    </div>
    <div class="col-lg-6">
        <app-search-bar></app-search-bar>
    </div>
</div>


<!-- <div *ngIf="estadoRecorrido === 'En curso'">
    <div class="my-3 row d-flex justify-content-center">
        <div class="col-lg-6">
            <div class="map-container" id="map" #mapDiv>
            </div>
        </div>
    </div>
</div> -->

